Substrate: Core data structures
===============================

Pure Merkle tree and document primitives.

merkle
------

.. automodule:: arborist.merkle
   :members:
   :undoc-members:
   :show-inheritance:

document
--------

.. automodule:: arborist.document
   :members:
   :undoc-members:
   :show-inheritance:

wikitext
--------

.. automodule:: arborist.wikitext
   :members:
   :undoc-members:
